rdm-mailhandler does not have a port option, fails with port forwarding

2010-10-27 20:46 - Stephanie Collett

Status: Closed Start date: 2010-10-27

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 1.0.2

Description

In our environment, applications use port forwarding to avoid using root to start up web services. Port 80 and 443 are forwarded to

higher port numbers. This setup does not work with the rdm-mailhandler because it assumes the port number. I created a patch to fix

this. The attached patch adds a port option to the rdm-mailhandler.

History

#1 - 2010-10-28 00:02 - Felix Schäfer

Doesn't protocol://host:port/path work with the mail handler?

#2 - 2010-11-01 23:16 - Stephanie Collett

- Status changed from New to Resolved

Ah, yes, that works too. I'm not sure why I thought that option wasn't working. I revisited it and have confirmed host:port works fine. I must have been

conflating it with other issues now resolved. Thanks.

#3 - 2010-11-02 00:18 - Holger Just

- Status changed from Resolved to Closed

- Resolution set to Wont fix

Files

0170-Add-port-option-to-mail-handler.-Fixes-issue-with-po.patch 2.6 KB 2010-10-27 Stephanie Collett
